Tomcat 5

Eva
05 de Febrero del 2004
Hola:
os suena este error:

org.apache.jasper.JasperException: No se puede compilar la clase para JSP

An error occurred at line: -1 in the jsp file: null

Generated servlet error:
[javac] Compiling 1 source file

C:Tomcat 5.0workCatalinalocalhostpruebaorgapachejspvalida_jsp.java:8: cannot access java.lang.Object
bad class file: c:archivos de programajavaj2re1.4.2_03librt.jar(java/lang/Object.class)
class file has wrong version 48.0, should be 47.0
Please remove or make sure it appears in the correct subdirectory of the classpath.
implements org.apache.jasper.runtime.JspSourceDependent {
^
1 error

Pensaba que era problema de versiones de jdk, porque tengo instalado 1.4.2_03 y complilo las java con 1.3.1. Pero hice una aplicación de prueba con una pag html y otra jsp sencilla que no utiliza ninguna clase, y me sigue dando el mismo problema.
Me podeis ayudar?
Gracias.